=== debian/changelog ===
ros-melodic-moveit-ros-planning (1.0.7-1stretch) stretch; urgency=high

  * [fix] Fix "Clear Octomap" button, disable when no octomap is published (#2320 <https://github.com/ros-planning/moveit/issues/2320>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-moveit-ros-planning (1.0.6-1stretch) stretch; urgency=high

  * [fix]   Fix segfault in PSM::clearOctomap() (#2193 <https://github.com/ros-planning/moveit/issues/2193>)
  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Henning Kayser, Markus Vieth, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-moveit-ros-planning (1.0.5-1stretch) stretch; urgency=high

  * [feature] Trajectory Execution: fix check for start state position (#2157 <https://github.com/ros-planning/moveit/issues/2157>)
  * [feature] Improve responsiveness of PlanningSceneDisplay (#2049 <https://github.com/ros-planning/moveit/issues/2049>)
    - PlanningSceneMonitor: increate update frequency from 10Hz to 30Hz
    - send RobotState diff if only position changed
  * Contributors: Michael Görner, Robert Haschke, Simon Schmeisser

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 08 Jul 2020 06:00:00 -0000

ros-melodic-moveit-ros-planning (1.0.4-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 30 May 2020 06:00:00 -0000

ros-melodic-moveit-ros-planning (1.0.3-1stretch) stretch; urgency=high

  * [fix]     CurrentStateMonitor: Initialize velocity/effort with unset dynamics
  * [fix]     Fix spurious warning message (# IK attempts) (#1876 <https://github.com/ros-planning/moveit/issues/1876>)
  * [maint]   Move get_planning_scene service into PlanningSceneMonitor for reusability (#1854 <https://github.com/ros-planning/moveit/issues/1854>)
  * [feature] Forward controller names to TrajectoryExecutionManager
  * [fix]     Always copy dynamics if enabled in CurrentStateMonitor (#1676 <https://github.com/ros-planning/moveit/issues/1676>)
  * [feature] TrajectoryMonitor: zero sampling frequency disables trajectory recording (#1542 <https://github.com/ros-planning/moveit/issues/1542>)
  * [feature] Add user warning when planning fails with multiple constraints (#1443 <https://github.com/ros-planning/moveit/issues/1443>)
  * [maint]   Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint]   Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Windows build fixes
    * Fix header inclusion and other MSVC build errors (#1636 <https://github.com/ros-planning/moveit/issues/1636>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
    * Favor ros::Duration.sleep over sleep. (#1634 <https://github.com/ros-planning/moveit/issues/1634>)
    * Remove GCC extensions (#1583 <https://github.com/ros-planning/moveit/issues/1583>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix]     Fix potential memory leak in RDFLoader (#1828 <https://github.com/ros-planning/moveit/issues/1828>)
    [maint]   Use smart pointers to avoid explicit new/delete
  * [fix]     TrajectoryExecutionManager: fix race condition (#1709 <https://github.com/ros-planning/moveit/issues/1709>)
  * [fix]     Correctly propagate error if time parameterization fails (#1562 <https://github.com/ros-planning/moveit/issues/1562>)
  * [maint]   move occupancy_map_monitor into its own package (#1533 <https://github.com/ros-planning/moveit/issues/1533>)
  * [feature] PlanExecution: return executed trajectory (#1538 <https://github.com/ros-planning/moveit/issues/1538>)
  * Contributors: Felix von Drigalski, Henning Kayser, Max Krichenbauer, Michael Görner, Robert Haschke, Sean Yen, Yu, Yan, jschleicher, livanov93, Luca Lach

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 26 Apr 2020 06:00:00 -0000

ros-melodic-moveit-ros-planning (1.0.2-1stretch) stretch; urgency=high

  * [fix] Removed MessageFilter for /collision_object messages (#1406 <https://github.com/ros-planning/moveit/issues/1406>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 28 Jun 2019 06:00:00 -0000

ros-melodic-moveit-ros-planning (1.0.1-1stretch) stretch; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Mar 2019 07:00:00 -0000

ros-melodic-moveit-ros-planning (1.0.0-1stretch) stretch; urgency=high

  * [maintenance] Travis: enable warnings and catkin_lint checker (#1332 <https://github.com/ros-planning/moveit/issues/1332>)
  * [improve] Remove (redundant) random seeding and #attempts from RobotState::setFromIK() as the IK solver perform random seeding themselves. #1288 <https://github.com/ros-planning/moveit/issues/1288>
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 24 Feb 2019 07:00:00 -0000

ros-melodic-moveit-ros-planning (0.10.8-1stretch) stretch; urgency=high

  * [maintenance] RDFLoader / RobotModelLoader: remove TinyXML API (#1254 <https://github.com/ros-planning/moveit/issues/1254>)
  * [enhancement] Cmdline tool to print planning scene info (#1239 <https://github.com/ros-planning/moveit/issues/1239>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 24 Dec 2018 07:00:00 -0000


