=== debian/control ===
Source: ros-melodic-moveit-ros-planning
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-message-filters, ros-melodic-moveit-core, ros-melodic-moveit-msgs, ros-melodic-moveit-ros-occupancy-map-monitor, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-srdfdom, ros-melodic-tf2, ros-melodic-tf2-eigen, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-msgs, ros-melodic-tf2-ros, ros-melodic-urdf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-melodic-moveit-ros-planning
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-dynamic-reconfigure, ros-melodic-message-filters, ros-melodic-moveit-core, ros-melodic-moveit-msgs, ros-melodic-moveit-ros-occupancy-map-monitor, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-srdfdom, ros-melodic-tf2, ros-melodic-tf2-eigen, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-msgs, ros-melodic-tf2-ros, ros-melodic-urdf
Description: Planning components of MoveIt! that use ROS
